-- Author: Hayden Hargreaves (hhargreaves2006@gmail.com)
-- Desc:   Create the E_ENGAGEMENT enum.
-- Date:   07/13/2025

BEGIN;

CREATE TYPE E_ENGAGEMENT AS ENUM(
  'made',
  'liked', -- this is the same as saved/favorited
  'viewed',
  'shared',
  'reviewed',
  'rated'
);

COMMIT;
